<%@ Page Language="vb" ContentType="application/pdf" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Net" %>

<script language="VB" runat="server">
Protected Sub Page_Load(ByVal sender As object, ByVal e As EventArgs)
	' Report
	Dim report As Siberix.Report.Report = new Siberix.Report.Report()

	' Info
	report.Info.Title = "Example"
	report.Info.Author = "Siberix Technologies, Canada"
	report.Info.Creator = "Siberix Report Writer"
	report.Info.Copyright = "2003-2012 Siberix Technologies, Canada"

	' Section
	Dim section As Siberix.Report.Section.ISection = report.AddSection()
	section.Size = Siberix.Report.PageSize.Letter

	Dim text As Siberix.Report.Text.IText = section.AddText()
	text.Style = new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.Arial(80), Siberix.Graphics.Brushes.DarkBlue)
	text.Width = new Siberix.Report.RelativeWidth(100)
	text.Spacings.Top = 135
	text.Alignment = Siberix.Report.TextAlignment.Center
	text.AddContent("ASPX")

	' Publish
	report.Publish(Response.OutputStream, Siberix.Report.FileFormat.PDF)
End Sub
</script>