Imports System
Imports System.IO

Module Example

    Sub Main(ByVal args As String())

        If args.Length = 2 Then
            Dim src As String = args(0)
            Dim dst As String = args(1)
            Dim format As String = dst.Substring(dst.LastIndexOf(".") + 1, 3).ToUpper()

            Dim report As Siberix.Report.Report = New Siberix.Report.Report()

            report.Load(src)

            If format = "PDF" Then
                report.Publish(dst, Siberix.Report.FileFormat.PDF)
            Else
                report.Publish(dst, Siberix.Report.FileFormat.XPS)
            End If

            System.Console.Out.WriteLine()
            System.Console.Out.WriteLine("Siberix Report Writer. Version 10.1")
            System.Console.Out.WriteLine("Generation succeeded.")
            System.Console.Out.WriteLine()
        Else
            System.Console.Out.WriteLine()
            System.Console.Out.WriteLine("Siberix Report Writer. Version 10.1")
            System.Console.Out.WriteLine()
            System.Console.Out.WriteLine("Example.exe input output")
            System.Console.Out.WriteLine()
            System.Console.Out.WriteLine("   input  - specifies the name of the input XML file.")
            System.Console.Out.WriteLine("   output - specifies the name of the output file.")
            System.Console.Out.WriteLine()
        End If

    End Sub

End Module
